<app-home></app-home>
<td>
    <mat-form-field class="fullwidth">
        <input type="text" disabled="true" matInput placeholder="Data:">{{ data | date : 'dd/MM/yyyy ' }}
    </mat-form-field>
</td>
<td>
    <mat-form-field class="fullwidth">
        <input type="number" disabled="true" matInput placeholder="Cliente:">{{cliente}}
    </mat-form-field>
</td>

<div>
    <legend>Carrinho : {{carrinho}} </legend>

    <div class="table-container-monitor mat-elevation-z8">
        <table id="ProdutoTable" mat-table [dataSource]="dataSource" class="mat-elevation-z8">

            <ng-container matColumnDef="codBarrasProd">
                <th mat-header-cell *matHeaderCellDef>Código Barras </th>
                <td mat-cell *matCellDef="let item"> {{item.codBarrasProd}} </td>
                <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>

            <!-- Item Column -->
            <ng-container matColumnDef="descProd">
                <th mat-header-cell *matHeaderCellDef>Descrição Item</th>
                <td mat-cell *matCellDef="let item"> {{item.descProd}} </td>
                <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>

            <!-- Item Column -->
            <ng-container matColumnDef="precoUnit">
                <th mat-header-cell *matHeaderCellDef>Preço Unitário</th>
                <td mat-cell *matCellDef="let item"> {{item.precoUnit | currency}} </td>
                <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>

            <!-- Item Column -->
            <ng-container matColumnDef="qtdProd">
                <th mat-header-cell *matHeaderCellDef>Qtd de itens</th>
                <td mat-cell *matCellDef="let item"> {{item.qtdProd}} </td>
                <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>

            <!-- Cost Column -->
            <ng-container matColumnDef="valorTotal">
                <th mat-header-cell *matHeaderCellDef>Valor Total</th>
                <td mat-cell *matCellDef="let item"> {{item.valorTotal | currency}} </td>
                <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>

            <!-- Cost Column -->
            <ng-container matColumnDef="delete">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let item">
                    <a id="btdel" (click)="excluirItem(item)">
                        <i class="material-icons" style="cursor: pointer;">cancel</i>
                    </a></td>
                <td mat-footer-cell *matFooterCellDef></td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
            <tr mat-footer-row *matFooterRowDef="displayedColumns"></tr>
        </table>
    </div><br>
    <td>
        <legend id="soma" >Total Itens : {{ getTotalItem() }} </legend>
    </td>
   
    <td>
        <legend id="soma" >Total Geral : {{getTotal() | currency}}</legend>
    </td><br>
    <div mat-dialog-content>
        <div class="export-container">
            <button id="btr" mat-raised-button color="primary" (click)="onReturn()">
                <i class="material-icons">
                    arrow_back
                    </i>  Retornar</button>
            <button id ="btpag" mat-raised-button color="primary" (click)="onPagamento()">
                <i class="material-icons">monetization_on</i>  Pagamento</button>

        </div>
    </div>